Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Interface PDFRendererContextConstants

All Superinterfaces:
  RendererContextConstants

All Known Implementing Classes:
  PDFSVGHandler

    public interface PDFRendererContextConstants

extends RendererContextConstants

Defines a number of standard constants (keys) for use by the RendererContext class.

Field Summary
`static java.lang.String` | `PDF_CONTEXT` The current PDF page for page renference and as a resource context.
`static java.lang.String` | `PDF_DOCUMENT` The PDF document that this image is being drawn into.
`static java.lang.String` | `PDF_FONT_INFO` The current font information for the pdf renderer.
`static java.lang.String` | `PDF_FONT_NAME` The current pdf font name.
`static java.lang.String` | `PDF_FONT_SIZE` The current pdf font size.
`static java.lang.String` | `PDF_PAGE` The current PDF page for page renference and as a resource context.
`static java.lang.String` | `PDF_STREAM` The current PDF stream to draw directly to.

Fields inherited from interface org.apache.fop.render.RendererContextConstants
`FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

Field Detail

### PDF_DOCUMENT

    static final java.lang.String PDF_DOCUMENT

  The PDF document that this image is being drawn into.

  See Also:
    Constant Field Values

### PDF_PAGE

    static final java.lang.String PDF_PAGE

  The current PDF page for page renference and as a resource context.

  See Also:
    Constant Field Values

### PDF_CONTEXT

    static final java.lang.String PDF_CONTEXT

  The current PDF page for page renference and as a resource context.

  See Also:
    Constant Field Values

### PDF_STREAM

    static final java.lang.String PDF_STREAM

  The current PDF stream to draw directly to.

  See Also:
    Constant Field Values

### PDF_FONT_INFO

    static final java.lang.String PDF_FONT_INFO

  The current font information for the pdf renderer.

  See Also:
    Constant Field Values

### PDF_FONT_NAME

    static final java.lang.String PDF_FONT_NAME

  The current pdf font name.

  See Also:
    Constant Field Values

### PDF_FONT_SIZE

    static final java.lang.String PDF_FONT_SIZE

  The current pdf font size.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.